/* -*- ObjC -*- */
#ifndef __included_all_units_h
#define __included_all_units_h

#define LOAD_UNIT_DATA_FOR(c,air)	load_unit_data_for([c class], air)

extern unsigned int total_air_classes, total_ground_classes;
extern Class air_units_table[];
extern Class ground_units_table[];

BOOL load_unit_data_for(Class class, BOOL air);
void unload_unnecessary_unit_data(void);
void mark_all_unit_data_unnecessary(void);

Class find_class_by_name(const char *name, BOOL air);

void make_all_units_tables(void);
void shutdown_special_units(void);

#endif
